/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_OperatingClass80211_H_
#define	_OperatingClass80211_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>

#ifdef __cplusplus
extern "C" {
#endif

/* OperatingClass80211 */
typedef long	 OperatingClass80211_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_OperatingClass80211;
asn_struct_free_f OperatingClass80211_free;
asn_struct_print_f OperatingClass80211_print;
asn_constr_check_f OperatingClass80211_constraint;
ber_type_decoder_f OperatingClass80211_decode_ber;
der_type_encoder_f OperatingClass80211_encode_der;
xer_type_decoder_f OperatingClass80211_decode_xer;
xer_type_encoder_f OperatingClass80211_encode_xer;
per_type_decoder_f OperatingClass80211_decode_uper;
per_type_encoder_f OperatingClass80211_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _OperatingClass80211_H_ */
#include <asn_internal.h>
